//
//  GIBMainViewController.m
//  GraphicsInterchangeBox
//
//  Created by Rogelio Gudino on 8/17/13.
//  Copyright (c) 2013 Cananito. All rights reserved.
//

#import "GIBMainViewController.h"
#import "GIBMetadataController.h"

@interface GIBMainViewController () <NSTableViewDataSource, NSTableViewDelegate>

@property (nonatomic, strong) GIBMetadataController *metadataController;

@end


@implementation GIBMainViewController

#pragma mark - Overriden Methods
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        _metadataController = [[GIBMetadataController alloc] init];
    }
    return self;
}


#pragma mark - Public Methods
- (void)didSetAsContentView {
    [self.metadataController fetchMetadataWithCompletionBlock:^(NSArray *metadataArray, NSError *error) {
        // List all files
    }];
}


#pragma mark - NSTableViewDataSource Methods



#pragma mark - NSTableViewDelegate Methods


@end
