//
//  GIBMetadataController.h
//  GraphicsInterchangeBox
//
//  Created by Rogelio Gudino on 8/17/13.
//  Copyright (c) 2013 Cananito. All rights reserved.
//

typedef void(^GIFFetchMetadataCompletionBlock)(NSArray *metadataArray, NSError *error);
typedef void(^GIFFetchThumbnailCompletiomBlock)(NSImage *thumbnail, NSError *error);

@interface GIBMetadataController : NSObject

// TODO: the problem with these two is the multiple completion tracking
- (void)fetchMetadataWithCompletionBlock:(GIFFetchMetadataCompletionBlock)completionBlock;
- (void)fetchThumbnailForMetadata:(DBMetadata *)metadata withCompletionBlock:(GIFFetchThumbnailCompletiomBlock)completionBlock;

@end
